Loading...
Searching...
No Matches
itk::ImageRandomSampler< TInputImage > Class Template Reference
Components » ImageSamplers

`#include <itkImageRandomSampler.h>`

## Detailed Description

template<class TInputImage>
class itk::ImageRandomSampler< TInputImage >

Samples randomly some voxels of an image.

This image sampler randomly samples 'NumberOfSamples' voxels in the InputImageRegion. Voxels may be selected multiple times. If a mask is given, the sampler tries to find samples within the mask. If the mask is very sparse, this may take some time. In this case, consider using the ImageRandomSamplerSparseMask.

Definition at line 39 of file itkImageRandomSampler.h.

Inheritance diagram for itk::ImageRandomSampler< TInputImage >:
[legend]

## Data Structures

struct | UserData

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | InputImageIndexType = typename InputImageType::IndexType
using | InputImagePointType = typename InputImageType::PointType
using | Pointer = SmartPointer<Self>
using | Self = ImageRandomSampler
using | Superclass = ImageRandomSamplerBase<TInputImage>
Public Types inherited from itk::ImageRandomSamplerBase< TInputImage >
using | ConstPointer = SmartPointer<const Self>
using | ImageSampleContainerPointer
using | ImageSampleContainerType
using | ImageSampleType
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | MaskType
using | Pointer = SmartPointer<Self>
using | SeedIntegerType = Statistics::MersenneTwisterRandomVariateGenerator::IntegerType
using | Self = ImageRandomSamplerBase
using | Superclass = ImageSamplerBase<TInputImage>
Public Types inherited from itk::ImageSamplerBase< TInputImage >
using | ConstPointer = SmartPointer<const Self>
using | ImageSampleContainerPointer = typename ImageSampleContainerType::Pointer
using | ImageSampleContainerType = VectorDataContainer<std::vcl_size_t, ImageSampleType>
using | ImageSampleType = ImageSample<InputImageType>
using | ImageSampleValueType = typename ImageSampleType::RealType
using | InputImageConstPointer = typename InputImageType::ConstPointer
using | InputImageIndexType = typename InputImageType::IndexType
using | InputImagePixelType = typename InputImageType::PixelType
using | InputImagePointer = typename InputImageType::Pointer
using | InputImagePointType = typename InputImageType::PointType
using | InputImagePointValueType = typename InputImagePointType::ValueType
using | InputImageRegionType = typename InputImageType::RegionType
using | InputImageRegionVectorType = std::vector<InputImageRegionType>
using | InputImageSizeType = typename InputImageType::SizeType
using | InputImageType = TInputImage
using | MaskConstPointer = typename MaskType::ConstPointer
using | MaskPointer = typename MaskType::Pointer
using | MaskType = ImageMaskSpatialObject<Self::InputImageDimension>
using | MaskVectorType = std::vector<MaskConstPointer>
using | OutputVectorContainerPointer
using | OutputVectorContainerType
using | Pointer = SmartPointer<Self>
using | Self = ImageSamplerBase
using | Superclass = VectorContainerSource<VectorDataContainer<std::vcl_size_t, ImageSample<TInputImage>>>
Public Types inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
using | ConstPointer
using | OutputVectorContainerPointer
using | OutputVectorContainerType
using | Pointer
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ImageRandomSampler)
| itkStaticConstMacro (InputImageDimension, unsigned int, Superclass::InputImageDimension)
Public Member Functions inherited from itk::ImageRandomSamplerBase< TInputImage >
std::optional< SeedIntegerType > | GetOptionalSeed () const
| ITK_DISALLOW_COPY_AND_MOVE (ImageRandomSamplerBase)
| itkStaticConstMacro (InputImageDimension, unsigned int, Superclass::InputImageDimension)
void | SetOptionalSeed (const std::optional< SeedIntegerType > arg)
void | SetSeed (const SeedIntegerType arg)
Public Member Functions inherited from itk::ImageSamplerBase< TInputImage >
virtual const InputImageRegionType & | GetCroppedInputImageRegion ()
const InputImageType * | GetInput ()
const InputImageType * | GetInput (unsigned int idx)
virtual const InputImageRegionType & | GetInputImageRegion () const
virtual const InputImageRegionType & | GetInputImageRegion (unsigned int pos) const
virtual const MaskType * | GetMask () const
virtual const MaskType * | GetMask (unsigned int pos) const
virtual unsigned int | GetNumberOfInputImageRegions () const
virtual unsigned int | GetNumberOfMasks () const
virtual unsigned long | GetNumberOfSamples () const
OutputVectorContainerType * | GetOutput ()
| ITK_DISALLOW_COPY_AND_MOVE (ImageSamplerBase)
| itkStaticConstMacro (InputImageDimension, unsigned int, InputImageType::ImageDimension)
DataObject::Pointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override
virtual bool | SelectingNewSamplesOnUpdateSupported () const
virtual bool | SelectNewSamplesOnUpdate ()
void | SetInput (const InputImageType *input)
void | SetInput (unsigned int idx, const InputImageType *input)
virtual void | SetInputImageRegion (const InputImageRegionType _arg)
virtual void | SetInputImageRegion (const InputImageRegionType _arg, unsigned int pos)
virtual void | SetMask (const MaskType *_arg)
virtual void | SetMask (const MaskType *_arg, unsigned int pos)
virtual void | SetNumberOfInputImageRegions (const unsigned int _arg)
virtual void | SetNumberOfMasks (const unsigned int _arg)
virtual void | SetNumberOfSamples (unsigned long _arg)
virtual void | SetUseMultiThread (bool _arg)
Public Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
OutputVectorContainerType * | GetOutput ()
OutputVectorContainerType * | GetOutput (unsigned int idx)
virtual void | GraftNthOutput (unsigned int idx, DataObject *output)
virtual void | GraftOutput (DataObject *output)
| ITK_DISALLOW_COPY_AND_MOVE (VectorContainerSource)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ImageRandomSamplerBase< TInputImage >
static Pointer | New ()
Static Public Member Functions inherited from itk::ImageSamplerBase< TInputImage >
static Pointer | New ()
Static Public Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
| ImageRandomSampler ()=default
| ~ImageRandomSampler () override=default
Protected Member Functions inherited from itk::ImageRandomSamplerBase< TInputImage >
void | GenerateRandomNumberList ()
| ImageRandomSamplerBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ImageRandomSamplerBase () override=default
Protected Member Functions inherited from itk::ImageSamplerBase< TInputImage >
virtual bool | CheckInputImageRegions ()
void | CropInputImageRegion ()
void | GenerateInputRequestedRegion () override
| ImageSamplerBase ()
virtual bool | IsInsideAllMasks (const InputImagePointType &point) const
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | UpdateAllMasks ()
| ~ImageSamplerBase () override=default
Protected Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
void | PrintSelf (std::ostream &os, Indent indent) const override
| VectorContainerSource ()
| ~VectorContainerSource () override=default

## Static Private Member Functions

static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | ThreaderCallback (void *arg)

## Additional Inherited Members

Static Protected Member Functions inherited from itk::ImageSamplerBase< TInputImage >
static std::vector< InputImageRegionType > | SplitRegion (const InputImageRegionType &inputRegion, const vcl_size_t requestedNumberOfSubregions)
Protected Attributes inherited from itk::ImageRandomSamplerBase< TInputImage >
std::vector< double > | m_RandomNumberList {}
Protected Attributes inherited from itk::ImageSamplerBase< TInputImage >
unsigned long | m_NumberOfSamples { 0 }
bool | m_UseMultiThread { true }

## Member Typedef Documentation

## ConstPointer

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkImageRandomSampler.h.

## InputImageIndexType

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::InputImageIndexType = typename InputImageType::IndexType

Other typedefs.

Definition at line 76 of file itkImageRandomSampler.h.

## InputImagePointType

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::InputImagePointType = typename InputImageType::PointType

Definition at line 77 of file itkImageRandomSampler.h.

## Pointer

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkImageRandomSampler.h.

## Self

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::Self = ImageRandomSampler

Standard ITK-stuff.

Definition at line 45 of file itkImageRandomSampler.h.

## Superclass

template<class TInputImage>

using itk::ImageRandomSampler< TInputImage >::Superclass = ImageRandomSamplerBase<TInputImage>

Definition at line 46 of file itkImageRandomSampler.h.

## Constructor & Destructor Documentation

## ImageRandomSampler()

template<class TInputImage>

itk::ImageRandomSampler< TInputImage >::ImageRandomSampler | ( |  | ) |

protected default

The constructor.

## ~ImageRandomSampler()

template<class TInputImage>

itk::ImageRandomSampler< TInputImage >::~ImageRandomSampler | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## GenerateData()

template<class TInputImage>

void itk::ImageRandomSampler< TInputImage >::GenerateData | ( |  | ) |

override protected

Functions that do the work.

## GetClassName()

template<class TInputImage>

virtual const char * itk::ImageRandomSampler< TInputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::ImageRandomSamplerBase< TInputImage >.

Reimplemented in elastix::RandomSampler< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageRandomSampler< TInputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ImageRandomSampler< TInputImage > |  | ) |

## itkStaticConstMacro()

template<class TInputImage>

itk::ImageRandomSampler< TInputImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | Superclass::InputImageDimension | )

The input image dimension.

## New()

template<class TInputImage>

Pointer itk::ImageRandomSampler< TInputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## ThreaderCallback()

template<class TInputImage>

ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION itk::ImageRandomSampler< TInputImage >::ThreaderCallback | ( | void * | arg | ) |

static private

Generated on 1768596610 for elastix by 1.15.0 |